{% extends 'base.html.twig' %}

{% block title %}Orders index{% endblock %}

{% block body %}
    <h1>Orders index</h1>

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Creates_At</th>
                <th>Paid_At</th>
                <th>Shipping_At</th>
                <th>Delivered_At</th>
                <th>Shipping_cost</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for order in orders %}
            <tr>
                <td>{{ order.id }}</td>
                <td>{{ order.createsAt ? order.createsAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ order.paidAt ? order.paidAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ order.shippingAt ? order.shippingAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ order.deliveredAt ? order.deliveredAt|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ order.shippingCost }}</td>
                <td>
                    <a href="{{ path('app_orders_show', {'id': order.id}) }}">show</a>
                    <a href="{{ path('app_orders_edit', {'id': order.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="7">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_orders_new') }}">Create new</a>
{% endblock %}
